<?php
//error_reporting(0);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

header('Content-Type: application/json');

function removeLastChar($string) { 	return substr($string, 0, -1); }
function createDirectory($database = NULL, $folderName = NULL)
{
	$path = "generated/" . $database . date("Y-m-d_H-i");
	$directory = ($folderName != "") ? $path . "/" . $folderName : $path;
	if (!file_exists($directory)) { mkdir($directory, 0777, true);	}
}
function createFile($database = NULL, $folderName = NULL, $myFile = NULL, $stringData = NULL)
{
	if ($folderName != "") {
		createDirectory($database, $folderName);
		$filePath = "generated/" . $database . date("Y-m-d_H-i") . "/$folderName/$myFile.php";
	} else {
		$filePath = "generated/" . $database . date("Y-m-d_H-i") . "/$myFile.php";
	}
/*	$fh = fopen($filePath, 'w') or die("can't open file");
	fwrite($fh, $stringData);
	fclose($fh);*/
	file_put_contents($filePath,$stringData) or die("Can't put file");
}

function random_glyph_icon()
{
	$glyph_icons = array("asterisk", "plus", "euro", "eur", "minus", "cloud", "envelope", "pencil", "glass", "music", "search", "heart", "star", "star-empty", "user", "film", "th-large", "th", "th-list", "ok", "remove", "zoom-in", "zoom-out", "off", "signal", "cog", "file", "time", "road", "download-alt", "download", "upload", "inbox", "play-circle", "repeat", "refresh", "list-alt", "lock", "flag", "headphones", "volume-off", "volume-down", "volume-up", "qrcode", "barcode", "tag", "tags", "book", "bookmark", "print", "camera", "font", "bold", "italic", "text-height", "text-width", "align-left", "align-center", "align-right", "align-justify", "list", "indent-left", "indent-right", "facetime-video", "picture", "map-marker", "adjust", "tint", "share", "check", "move", "step-backward", "fast-backward", "backward", "play", "pause", "stop", "forward", "fast-forward", "step-forward", "eject", "chevron-left", "chevron-right", "plus-sign", "minus-sign", "remove-sign", "ok-sign", "question-sign", "info-sign", "screenshot", "remove-circle", "ok-circle", "ban-circle", "arrow-left", "arrow-right", "arrow-up", "arrow-down", "share-alt", "resize-full", "resize-small", "exclamation-sign", "gift", "leaf", "fire", "eye-open", "eye-close", "warning-sign", "plane", "calendar", "random", "comment", "magnet", "chevron-up", "chevron-down", "retweet", "shopping-cart", "folder-close", "folder-open", "resize-vertical", "resize-horizontal", "hdd", "bullhorn", "bell", "certificate", "thumbs-up", "thumbs-down", "hand-right", "hand-left", "hand-up", "hand-down", "circle-arrow-right", "circle-arrow-left", "circle-arrow-up", "circle-arrow-down", "globe", "wrench", "tasks", "filter", "briefcase", "fullscreen", "dashboard", "paperclip", "heart-empty", "link", "phone", "pushpin", "usd", "gbp", "sort", "sort-by-alphabet", "sort-by-alphabet-alt", "sort-by-order", "sort-by-order-alt", "sort-by-attributes", "sort-by-attributes-alt", "unchecked", "expand", "collapse-down", "collapse-up", "log-in", "flash", "new-window", "record", "save", "open", "saved", "import", "export", "send", "floppy-disk", "floppy-saved", "floppy-remove", "floppy-save", "floppy-open", "credit-card", "transfer", "cutlery", "header", "compressed", "earphone", "phone-alt", "tower", "stats", "sd-video", "hd-video", "subtitles", "sound-stereo", "sound-dolby", "sound-5-1", "sound-6-1", "sound-7-1", "copyright-mark", "registration-mark", "cloud-download", "cloud-upload", "tree-conifer", "tree-deciduous", "cd", "save-file", "open-file", "level-up", "copy", "paste", "alert", "equalizer", "king", "queen", "pawn", "bishop", "knight", "baby-formula", "tent", "blackboard", "bed", "apple", "erase", "hourglass", "lamp", "duplicate", "piggy-bank", "scissors", "bitcoin", "btc", "xbt", "yen", "jpy", "ruble", "rub", "scale", "ice-lolly", "ice-lolly-tasted", "education", "option-horizontal", "option-vertical", "menu-hamburger", "modal-window", "oil", "grain", "sunglasses", "text-size", "text-color", "text-background", "object-align-top", "object-align-bottom", "object-align-horizontal", "object-align-left", "object-align-vertical", "object-align-right", "triangle-right", "triangle-left", "triangle-bottom", "triangle-top", "console", "superscript", "subscript", "menu-left", "menu-right", "menu-down", "menu-up");
	$rand = array_rand($glyph_icons, 1);
	return $glyph_icons[$rand];
}

if (
	isset($_POST) &&
	isset($_POST["action"]) &&
	isset($_POST["host"]) &&
	isset($_POST["username"]) &&
	isset($_POST["password"])
) {
	$host 		= $_POST["host"];
	$username 	= $_POST["username"];
	$password 	= $_POST["password"] ?? "";
	$action 	= $_POST["action"] ?? "";

	$link = mysqli_connect($host, $username, $password);

	if (!$link) {
		die(json_encode(array('status' => 'error', 'message' => 'Could not connect: ' . mysqli_connect_error()), JSON_THROW_ON_ERROR));
	}

	if ($action == "connect") {
		$result = '';
		$res = mysqli_query($link, "SHOW DATABASES");
		if (!$res) {
			die(json_encode(array('status' => 'error', 'message' => 'Listing databases failed: ' . mysqli_error($link))));
		}

		$options = array();
		while ($row = mysqli_fetch_assoc($res)) {
			$options[] = "<option value=\"" . $row['Database'] . "\">" . $row['Database'] . "</option>";
		}

		if (empty($options)) {
			echo json_encode(array('status' => 'error', 'message' => 'Error in data collection'));
		} else {
			echo json_encode(array('status' => 'success', 'result' => implode('', $options)));
		}
	} else if ($action == "generate") {

		// get the database name
		$database = $_POST["database"];

		// gather success info and display to user at the end
		$message = "The operations that were performed are: <ul>";

		// select the database
		$db_link = mysqli_select_db($link, $database);
		if (!$db_link) {
			die(json_encode(array('status' => 'error', 'message' => 'Couldn\'t select database: ' . mysqli_error($link))));
		}

		// creating the genusers table if it doesn't exist
		$sql = "CREATE TABLE IF NOT EXISTS `genusers` (`id` int(11) NOT NULL AUTO_INCREMENT, `name` varchar(255) NOT NULL, `email` varchar(255) NOT NULL, `password` varchar(255) NOT NULL, `role` int(11) NOT NULL, PRIMARY KEY (`id`) ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2";
		$stmt = mysqli_prepare($link, $sql);
		if (!mysqli_stmt_execute($stmt)) {
			die(json_encode(array('status' => 'error', 'message' => 'Couldn\'t create table: ' . mysqli_stmt_error($stmt))));
		}
		mysqli_stmt_close($stmt);

		// ข้อมูลที่คุณต้องการเพิ่ม
		$id = 1;
		$name = 'Admin';
		$email = 'admin';
		$password_admin = '21232f297a57a5a743894a0e4a801fc3';
		$role = 1;

		// inserting the entry for admin, password is MD5'ed
		$stmt = mysqli_prepare($link, "REPLACE INTO `genusers` (`id`, `name`, `email`, `password`, `role`) VALUES (?, ?, ?, ?, ?)");
		if (!$stmt) {
			die(json_encode(array('status' => 'error', 'message' => 'Couldn\'t select table: Prepared Statement')));
		}

		mysqli_stmt_bind_param($stmt, 'isssi', $id, $name, $email, $password_admin, $role);
		if (!mysqli_stmt_execute($stmt)) {
			die(json_encode(array('status' => 'error', 'message' => 'Couldn\'t select table: ' . mysqli_stmt_error($stmt))));
		}
		mysqli_stmt_close($stmt);

		// loop to show all the tables and fields
		$loop = mysqli_query($link, "SHOW tables FROM $database");

		if (!$loop) {
			die(json_encode(array('status' => 'error', 'message' => 'Couldn\'t select table: ' . mysqli_connect_error())));
		}

		// the generation process starts here
		// collecting DB connection info to generate includes/connect.php file
		$connection =
			"<?php
			\$link = mysqli_connect('".$host."', '".$username."', '".$password."') or die('Do not connect database.');
			if (!\$link) {
				die('Could not connect: ' . mysqli_connect_error());
			}
			mysqli_select_db(\$link, '".$database."');
			mysqli_query(\$link, \"SET CHARACTER SET utf8\");
		?>

		";

		// starting the save.php file which controls create, update, and delete operations on the database.
		$save ="<?php
ob_start();
			include(\"includes/connect.php\");
			\$cat 		= \$_POST['cat'] ?? \"\";
			\$cat_get 	= \$_GET['cat']  ?? \"\";
			\$act 		= \$_POST['act'] ?? \"\";
			\$act_get 	= \$_GET['act']  ?? \"\";
			\$id 		= \$_POST['id']  ?? \"\";
			\$id_get 	= \$_GET['id'] 	 ?? \"\";

		";

		// collecting the home.php page which shows a full database table of contents
		$index =
			"
		<?php include \"includes/header.php\"; ?>
		<table class=\"table table-striped\">
			<tr>
				<th class=\"not\">Table</th>
				<th class=\"not\">Entries</th>
			</tr>
		
		";
		$currentUrl = $_SERVER['REQUEST_URI'];

		// แปลง URL เพื่อให้เหลือเฉพาะส่วนที่คุณต้องการ
		$desiredUrl = strtok($currentUrl, '/');

		// เข้าถึงโดเมนของเซิร์ฟเวอร์
		$serverDomain = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://" . $_SERVER['HTTP_HOST'];

		// รวมโดเมนกับ URL ที่แปลงแล้ว
		$finalUrl = $serverDomain . "/" . $desiredUrl;

		// collecting data for the includes/header.php page which is the header of all pages
		$ucfirstDB = ucfirst($database);
		$header =
			"
		<?php
			ob_start();
			error_reporting(0);
			session_start(); if (\$_COOKIE[\"auth\"] != \"admin_in\") {	header(\"location: ./\");}
			include(\"includes/connect.php\");include(\"includes/data.php\");?><!DOCTYPE html>
			<html lang=\"th\">
			<head>
				<meta charset=\"utf-8\">
				<meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
				<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">
				<meta name=\"KeyWords\" content=\"The PHP Generator CRUDS Operation using PHP/DataTable\">
				<meta name=\"author\" content=\"@housamz and @TaskS\">
				<meta http-equiv=\"expires\" content=\"0\">

				<meta name=\"description\" content=\"Admin Panel\">
				<title>".$ucfirstDB." Admin Panel</title>
				<link href=\"css/bootstrap.min.css\" rel=\"stylesheet\" >

				<!-- Custom CSS -->
				<link rel=\"stylesheet\" href=\"includes/style.css\">
				<link href=\"css/dataTables.bootstrap.min.css\" rel=\"stylesheet\" type=\"text/css\" />

			</head>

			<body>

			<div class=\"wrapper\">
				<!-- Sidebar Holder -->
				<nav id=\"sidebar\" class=\"bg-primary\">
					<div class=\"sidebar-header\">
						<h3>
							".$ucfirstDB." Admin Panel<br>
							<i id=\"sidebarCollapse\" class=\"glyphicon glyphicon-circle-arrow-left\"></i>
						</h3>
						<strong>
							".$ucfirstDB."<br>
							<i id=\"sidebarExtend\" class=\"glyphicon glyphicon-circle-arrow-right\"></i>
						</strong>
					</div>
					<!-- /sidebar-header -->

					<!-- start sidebar -->
					<ul class=\"list-unstyled components\">
						<li>
							<a href=\"home.php\" aria-expanded=\"false\">
								<i class=\"glyphicon glyphicon-home\"></i>
								Home
							</a>
						</li>

		";

		$dt_request 	= "";

		// looping all the database tables
		while ($table = mysqli_fetch_array($loop)) {

			// having a name for the table in two cases, all small caps and capitalised
			$table_name = $table[0];
			$capital = ucfirst($table_name);
			$small = strtolower($table_name);

			// collecting the contents for the table main page tableName.php
			$show  =
				"
			<?php include \"includes/header.php\"; ?>

			<a class=\"btn btn-primary\" href=\"edit-".$small.".php?act=add\"> <i class=\"glyphicon glyphicon-plus-sign\"></i> Add New ".$capital."</a>

			<h1>".$capital."</h1>
			<p>This table includes <?=number_format(counting(\"".$table_name."\", \"id\"),0);?> ".$small.".</p>

			<table id=\"tb_".$table_name."\" class=\"table table-striped table-bordered\" style=\"width: 100%;\">
				<thead>
					<tr>

			";

			// collecting data for the edit page
			$edit  =
				"
			<?php
				include \"includes/header.php\";
				\$data	= [];
				\$act 	= \$_GET['act'];
				\$field 	= getByField(\"".$table_name."\");
				if(\$act == \"edit\") {
					\$id 		= \$_GET['id'];
					\$".$small." 	= getById(\"".$table_name."\", \$id);
				}
			?>

			<form method=\"post\" action=\"save.php\" enctype=\"multipart/form-data\">
				<fieldset>
					<legend class=\"hidden-first\">Add New ".$capital."</legend>
					<input name=\"cat\" type=\"hidden\" value=\"".$table_name."\">
					<input name=\"<?=\$field['Field']?>\"  type=\"hidden\" value=\"<?=\$id?>\">
					<input name=\"act\" type=\"hidden\" value=\"<?=\$act?>\">

			";

			// continue the save page
			$save .=
				"

				if(\$cat == \"".$table_name."\" || \$cat_get == \"".$table_name."\") {

			";

			// continue the home page
			$index .=
				"
				<tr>
					<td><a href=\"".$small.".php\">".$capital."</a></td>
					<td><?=number_format(counting(\"".$table_name."\", \"id\"),0);?></td>
				</tr>

			";

			// continue the sidebar in header
			$icon = random_glyph_icon();
			$header .=
				"
							<li>
								<a href=\"".$small.".php\"> 
									<i class=\"glyphicon glyphicon-".$icon."\"></i> ".$capital." <span class=\"pull-right\">
										<?=number_format(counting(\"".$table_name."\", \"id\"),0);?>
									</span>
								</a>
							</li>
				
			";

			$head 	= '';
			$body 	= '';
			$mid 	= '';

			$insert = '';
			$update = '';
			$values = '';

			// finding all the columns in a table
			$table_name = mysqli_real_escape_string($link, $table_name);
			$sql = "SHOW COLUMNS FROM " . $table_name;
			$result = mysqli_query($link, $sql);
			if (!$result) {
				die('cannot create prepared statement');
			}

			// looping in the columns
			$pk_id 			= '';
			$dt_script 		= "";
			$fields_list 	= [];

			$save .= "		if(\$act_get != \"delete\"){\n";
			$body .= "	<tbody>\n";
			while ($col = mysqli_fetch_array($result)) {
				$pk_id = ($pk_id == '') ? $col[0] : $pk_id;
				// data for the table in the show page tableName.php
				$ucfirst_str_replace = ucfirst(str_replace("_", " ", $col[0]));

				// Create failed datatable
				$dt_script .=
					"
							{data: '".$col[0]."',class: 'text-nowrap whitespace'},

				";

				$head .=
					"
						<th>".$ucfirst_str_replace."</th>

				";
				$body .=
					"
							<td><?=\$".$small."s['".$col[0]."']?></td>

				";

				if ($col[3] != "PRI") {
					if ($col[1] == "text") {
						$ckeditor = "";
						if ($_POST["htmlEditor"]) {
							$ckeditor = "ckeditor ";
						}

						// continue the edit page with a text area for a type text column
						$edit .=
							"
							<label>".$ucfirst_str_replace."</label>
							<textarea class=\"".$ckeditor."form-control\" name=\"".$col[0]."\"><?=\$".$small."['".$col[0]."']?></textarea><br>
							
						";
					} else {
						// continue the edit page with an input field
						$edit .=
							"
								<label>".$ucfirst_str_replace."</label>
								<input class=\"form-control\" type=\"text\" name=\"".$col[0]."\" value=\"<?=\$".$small."['".$col[0]."']?>\" /><br>

						";
					}
				}

				// check if the column is not the ID to create the corresponding save and insert data
				if ($col[0] != 'id') {
					$save .=
						"
								\$".$col[0]." 	= addslashes(htmlentities(\$_POST[\"".$col[0]."\"], ENT_QUOTES));
					
					";

					$insert .= "`".$col[0]."` ,";

					if ($col[0] == "password") {
						$attach_password = 1;
						$values .= "'\".md5(\$".$col[0].").\"',";
					} else {
						$attach_password = 0;
						$values .= "'\".\$".$col[0].".\"' ,";
						$update .= "`".$col[0]."` =  '\".\$".$col[0].".\"' ,";
					}
				}

				array_push($fields_list, "'" . $col[0] . "'");
			} // end row loop

			$fields = implode(",", $fields_list);
			$dt_request .=
			"
			if(\$_POST['to'] === '".$table_name."'){
						\$columns = [".$fields."];
						\$table = '".$table_name."';
					}

			";

			$body .= "	\n</tbody>";

			$save .= "		}";

			// continue show page top part
			$head .=
				"
						<th class=\"not\">Edit</th>
						<th class=\"not\">Delete</th>
					</tr>
				</thead>
				
			";

			// build the whole page
			$show .= $head;
			$show .= $body;
			$show .=
				"
			</table>

			<?php include \"includes/footer.php\";?>

			<script type=\"text/javascript\">
				$(document).ready(function () {
					/** กำหนด collumn สำหรับแสดงผล */
					var columns_".$table_name."= [
						".$dt_script."
						{data: null,render(data) {return '<a href=\"edit-".$table_name.".php?act=edit&id='+data.id+'\"><i class=\"glyphicon glyphicon-edit\"></i></a>';}},
						{data: null,render(data) {return '<a href=\"save.php?act=delete&id='+data.id+'&cat=".$table_name."\" onclick=\"return navConfirm(this.href);\"><i class=\"glyphicon glyphicon-trash\"></i></a>';}}
					];
					/** end */

					/** เรียกใช้ฟังชั่นนำไปแสดงผล */
					genDataTable('#tb_".$table_name."',{'to':'".$table_name."'},'datatable.php',columns_".$table_name.");
					/** end  */
					/** By TaskS Scripts*/
				});
			</script>

			";

			$edit .=
				"
				</fieldset>
				<br>
				<input type=\"submit\" value=\"Save\" class=\"btn btn-success\">
			</form>
			<?php include \"includes/footer.php\";?>

			";
			$removeLastChar_insert = removeLastChar($insert);
			$removeLastChar_values = removeLastChar($values);
			$removeLastChar_update = removeLastChar($update);
			$save .=
				"

					if(\$act == \"add\") {
						mysqli_query(\$link, \"INSERT INTO `".$table_name."` (".$removeLastChar_insert.") VALUES (".$removeLastChar_values.") \");
					} else if (\$act == \"edit\") {
						mysqli_query(\$link, \"UPDATE `".$table_name."` SET ".$removeLastChar_update." WHERE `".$pk_id."` = '\".\$".$pk_id.".\"' \");
			";

			if ($attach_password == 1) {
				$save .=
					"
					
					if(\$_POST[\"password\"] && \$_POST[\"password\"] != \"\") {
						mysqli_query(\$link, \"UPDATE `".$table_name."` SET  `password` =  '\".md5(\$password).\"' WHERE `".$pk_id."` = '\".\$".$pk_id.".\"' \");
					}

				";
			}

			$save .=
				"
			
					} else if (\$act_get == \"delete\") {
						mysqli_query(\$link, \"DELETE FROM `".$table_name."` WHERE ".$pk_id." = '\".\$id_get.\"' \");
					}
					header(\"location: ".$small.".php\");
					exit();
				}

			";

			// creating the show page tableName.php
			createDirectory($database, '');
			createFile($database, '', $small, $show);
			$message .= "<li>Created page: " . $small . ".php</li>";

			// creating the edit page edit-tableName.php
			createFile($database, '', "edit-" . $small, $edit);
			$message .= "<li>Created page: edit-" . $small . ".php</li>";

			// empty all variables
			$head = "";
			$body = "";

			$insert = "";
			$values = "";
			$update = "";
		} //end table loop

		$save .= "?>";

		$footer =
			"
				</div>
			</div>

			<!-- jQuery Version 1.11.1 -->
			<script src=\"js/jquery-1.12.0.min.js\"></script>

			<!-- Bootstrap Core JavaScript -->
			<script src=\"js/bootstrap.min.js\" ></script>

			<script type=\"text/javascript\" src=\"js/ckeditor.js\"></script>
			<script type=\"text/javascript\" src=\"js/jquery.dataTables.min.js\"></script>
			<script type=\"text/javascript\" src=\"js/dataTables.bootstrap.min.js\"></script>

			<script type=\"text/javascript\">
				$(document).ready(function () {
					$(\"#sidebarCollapse, #sidebarExtend\").on(\"click\", function () {
						$(\"#sidebar\").toggleClass(\"active\");
					});
				});
				
				function navConfirm(loc) {
					if (confirm(\"Are you sure?\")) {
						window.location.href = loc;
					}
					return false;
				}

				function genDataTable(id,param,url,columns){
					var table = \$(id).DataTable({
							\"scrollX\": true,
							'processing': true,
							'serverSide': true,
							'serverMethod': 'post',
							'ajax': {
								'url': url,
								'data': function(data) {

									var reqdata = {data: data};
									if(typeof param !== 'undefined'){
										var mergedparam = \$.extend({}, reqdata, param);
									}else{
										var mergedparam = reqdata
									}
									return mergedparam;
								},
								error: function(jqXHR, exception) {
									if (jqXHR.status === 403) {
										location.reload();
									}
								},
								dataSrc: function(data) {
									// Datatable data
									return data.data;
								}
							},

							\"columns\": columns,
							\"order\": [
								[0, 'desc']
							],
						});

						return table;
				}
				<!-- By TaskS Scripts -->
			</script>
		</body>
		</html>

		";

		$index .=
			"
		</table>

		<?php include \"includes/footer.php\";?>
		
		";

		$header .=
			"
						<li><a href=\"logout.php\"><i class=\"glyphicon glyphicon-log-out\"></i> Logout</a></li>
					</ul>

					<!--	
					<div class=\"visit\">
						<p class=\"text-center\">Created using MAGE &hearts;</p>
						<a href=\"https://github.com/housamz/php-mysql-admin-panel-generator\" target=\"_blank\" >Visit Project</a>
					</div>
					-->
					<div class='visit'>
						<p class='text-center'>&copy; 2000-2028 Data tables.</p>
					</div>
				</nav>
				<!-- /end sidebar -->

				<!-- Page Content Holder -->
				<div id=\"content\">

		";

		$dt_content =
			"
		<?php
			error_reporting(0);
			session_start();
			include(\"includes/connect.php\");
			include(\"includes/data.php\");
			if(isset(\$_POST['data'],\$_POST['to'])){
				".$dt_request."
				\$requestData = \$_POST['data'];
				\$datagenusers =  getDataTable(\$table,\$requestData,\$columns);   
				echo json_encode(\$datagenusers);
			}
		?>
		";

		createFile($database, '', "datatable", $dt_content);

		createFile($database, 'includes', "connect", $connection);

		createFile($database, '', "save", $save);

		createFile($database, 'includes', "footer", $footer);

		createFile($database, '', "home", $index);

		createFile($database, 'includes', "header", $header);

		$library = "library/";
		$path = "generated/" . $database . date("Y-m-d_H-i");

		copy($library . "index.php", $path . "/index.php");

		copy($library . "login.php", $path . "/login.php");

		copy($library . "logout.php", $path . "/logout.php");

		copy($library . "captcha.php", $path . "/captcha.php");

		copy($library . "data.php", $path . "/includes/data.php");

		copy($library . "style.css", $path . "/includes/style.css");

		$fonts = "fonts/";
		createDirectory($database, $fonts);

		copy($fonts . "glyphicons-halflings-regular.eot", $path . "/fonts/glyphicons-halflings-regular.eot");

		copy($fonts . "glyphicons-halflings-regular.woff2", $path . "/fonts/glyphicons-halflings-regular.woff2");

		copy($fonts . "glyphicons-halflings-regular.woff", $path . "/fonts/glyphicons-halflings-regular.woff");

		copy($fonts . "glyphicons-halflings-regular.ttf", $path . "/fonts/glyphicons-halflings-regular.ttf");

		copy($fonts . "glyphicons-halflings-regular.svg", $path . "/fonts/glyphicons-halflings-regular.svg");

		$css = "css/";
		createDirectory($database, $css);

		copy($css . "bootstrap.min.css", $path . "/css/bootstrap.min.css");

		copy($css . "dataTables.bootstrap.min.css", $path . "/css/dataTables.bootstrap.min.css");

		$js = "js/";
		createDirectory($database, $js);

		copy($js . "bootstrap.min.js", $path . "/js/bootstrap.min.js");

		copy($js . "jquery-1.12.0.min.js", $path . "/js/jquery-1.12.0.min.js");

		copy($js . "ckeditor.js", $path . "/js/ckeditor.js");

		copy($js . "dataTables.bootstrap.min.js", $path . "/js/dataTables.bootstrap.min.js");

		copy($js . "jquery.dataTables.min.js", $path . "/js/jquery.dataTables.min.js");
		$message = "<h3><b><i>Generate source code PHP success.</i></b></h3></center>";

		echo json_encode(array('status' => 'finished', 'message' => '<center><h1>Finished!</h1><h3>Username: admin<br> Password: admin<br><br><a href="' . $path . '" target="_blank">Go to the Admin Panel </a></h3>' . $message));
	}
} else {
	echo json_encode(array('status' => 'error', 'message' => 'Unknown error occurred'));
}
