<!DOCTYPE html>
<html lang="en">

<head>
	
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="KeyWords" content="The PHP Generator CRUDS Operation using PHP/DataTable Server side">
	<meta name="author" content="@housamz and @TaskS">

	<meta name="description" content="Admin Panel">
	<title>MySQL or MariaDB Admin Generator</title>

	<link href="css/style.css" rel="stylesheet">
	<link href="css/bootstrap.min.css" rel="stylesheet">

	<!-- Custom CSS -->
	<style type="text/css">
		.card-blockquote {
			border: none;
			margin-top: 30px
		}
	</style>

</head>

<body>
	<div class="container">

		<div class="row">
			<div class="col-lg-12">
				<div class="card text-white bg-primary">
					<div class="card-body">
						<blockquote class="card-blockquote">
							<h1>MySQL or MariaDB Admin Generator</h1>
						</blockquote>
					</div>
				</div>

				<div class="panel panel-default">
					<div class="panel-body">
						<div class="col-lg-9">
							<p>*Generator is a PHP tool that helps you create a PHP Admin Panel for any MySQL or MariaDB database in seconds.</p>
							<p class="hidden-first">To start, please insert your database server info below:</p>
							<p class="hidden-first hide">Please select your database from below menu:</p>


							<form id="allData">
								<fieldset>
									<legend class="hidden-first">Database Server Infomation</legend>
									<div class="form-group hidden-first">
										<label for="inputHost">Host</label>
										<input type="text" class="form-control" id="inputHost" placeholder="Host" aria-describedby="hostHelp" value="127.0.0.1" required>
										<small id="hostHelp" class="form-text text-muted">Your server address, e.g. localhost</small>
									</div>

									<div class="form-group hidden-first">
										<label for="inputUsername">Username</label>
										<input type="text" class="form-control" id="inputUsername" placeholder="Username" aria-describedby="usernameHelp" value="root" required>
										<small id="usernameHelp" class="form-text text-muted">Database username, e.g. root</small>
									</div>

									<div class="form-group hidden-first">
										<label for="inputPassword">Password</label>
										<input type="password" class="form-control" id="inputPassword" placeholder="Password" autocomplete="off">
									</div>

									<button class="btn btn-primary hidden-first" id="connect">Next Step</button>

									<div class="form-group hidden-first hide">
										<legend for="dbSelect">Available Databases select</legend>
										<select class="form-control" id="dbSelect">
											<option value="">Please select</option>
										</select>
									</div>
									<div class="form-group hidden-first hide">
										<input type="checkbox" id="htmlEditor">
										<label for="htmlEditor">Enable full HTML editor for columns of type TEXT</label>
									</div>

									<button class="btn btn-primary hidden-first hide" id="generate">Generate Admin Panel</button>
								</fieldset>
							</form>
							<br />
						</div>

						<!--	<div class="col-lg-3 alert alert-info">
							<h3>Disclaimer</h3>
							<ul>
								<li>Mage doesn't provide a secure CRUD system. The goal of this tool is to make a fast admin panel to control a MySQL database, but securing that is your own responsibility.</li>
								<li>This may harm your MySQL database, so it's a good idea to keep a backup. </li>
							</ul>
						</div>
					-->
						<div class="clearfix"></div><br>
						<div class="col-lg-12">
							<small class="text-muted">
								<strong>*Generator for PHP</strong>
								<strong>Concept learned for student or person.</strong>
							</small>
						</div>
					</div>

				</div>
			</div>

		</div>
	</div>

	<!-- jQuery Version 1.11.1 -->
	<script src="js/jquery-1.12.0.min.js"></script>

	<!-- Bootstrap Core JavaScript -->
	<script src="js/bootstrap.min.js"></script>

	<script type="text/javascript">
		$(document).ready(function() {
			$("#connect, #generate").on("click", function(e) {
				e.preventDefault();
				action = $(this).attr("id");

				if (action === "generate") {
					$("#generate").text("Please Wait...");
					$("#generate").attr("disabled", "disabled");
				}

				$.ajax({
					type: "POST",
					url: "handler.php",
					dataType: "JSON",
					data: {
						action: action,
						host: $("#inputHost").val(),
						username: $("#inputUsername").val(),
						password: $("#inputPassword").val(),
						database: $("#dbSelect").val(),
						htmlEditor: $("#htmlEditor").is(":checked") ? 1 : 0,
					},
					success: function(response) {
						if (action === "generate") {
							$("#generate").text("Generate");
							$("#generate").removeAttr("disabled");
						}

						if (response.status === "success") {
							$("#dbSelect").append(response.result);
							$(".hidden-first").toggleClass("hide");
						} else if (response.status === "finished") {
							$(".panel-body").html(response.message);
						} else {
							alert(response.message);
						}
					},
					error: function(XMLHttpRequest, textStatus, errorThrown) {
						console.log(errorThrown);
					}
				});
			});

		});
		<!-- By TaskS Scripts -->
	</script>
    <!--<a href="https://github.com/housamz/php-mysql-admin-panel-generator"></a>-->

</body>

</html>